# Adding animations

## 1. Adding standard animation

```lua
{
    Category = "other", -- Category of animation
    Label = "Sit chair 2", -- Label displayed
    SubTitle = "/e sitchair2", -- /e command (not required)
    AnimDict = "timetable@ron@ig_5_p3", -- Animation dictionary
    Anim = "ig_5_p3_base", -- Animation
    playerRotate = true, -- not required (Adds the ability to position animations before use)
    ExecuteCommand = "me example command" -- not required
},
```

## 2. Adding scenario

```lua
{
    Category = "scenarios", -- Category of animation
    Label = "Jog", -- Label displayed
    SubTitle = "/e jog", -- /e command (not required)
    scenario = "WORLD_HUMAN_JOG_STANDING" -- Scenario name
},
```

## 3. Adding animation with prop

```lua
{
    Category = "objects", -- Category of animation
    Label = "Joint", -- Label displayed
    SubTitle = "/e joint", -- /e command (not required)
    AnimDict = "amb@world_human_smoking@male@male_a@enter", -- Animation dictionary
    Anim = "enter", -- Animation
    props = {
        prop = "p_cs_joint_02", -- Object name
        propBone = 47419, -- Player ped bone index
        propPlacement = {0.015, -0.009, 0.003, 55.0, 0.0, 110.0} -- coord.x, coord.y, coord.z, rotate.x, rotate.y, rotate.z
    }
},
```

```lua
{
    Category = "dances", -- Category of animation
    Label = "Dance Glowsticks 3", -- Label displayed
    SubTitle = "/e danceglowstick3", -- /e command (not required)
    AnimDict = "anim@amb@nightclub@lazlow@hi_railing@", -- Animation dictionary
    Anim = "ambclub_09_mi_hi_bellydancer_laz", -- Animation
    props = {
        prop = "ba_prop_battle_glowstick_01", -- Object name
        propBone = 28422, -- Player ped bone index
        propPlacement = {0.07, 0.14, 0.0, -80.0, 20.0, 0.0, 0.0}, -- coord.x, coord.y, coord.z, rotate.x, rotate.y, rotate.z
        propTwo = "ba_prop_battle_glowstick_01", -- Object name
        propTwoBone = 28422, -- Player ped bone index
        propTwoPlacement = {0.07, 0.09, 0.0, -120.0, -20.0, 0.0, 0.0} -- coord.x, coord.y, coord.z, rotate.x, rotate.y, rotate.z
    }
},
```

## 4. Adding animation with particles

```lua
{
    Category = "other", -- Category of animation
    Label = "Pee", -- Label displayed
    SubTitle = "/e pee", -- /e command (not required)
    AnimDict = "misscarsteal2peeing", -- Animation dictionary
    Anim = "peeing_loop", -- Animation
    particles = {
        asset = "scr_amb_chop",
        name = "ent_anim_dog_peeing", -- Effect name
        placement = {-0.05, 0.3, 0.0, 0.0, 90.0, 90.0, 1.0}, -- coord.x, coord.y, coord.z, rotate.x, rotate.y, rotate.z, scale
        rgb = {1.0, 1.0, 1.0} -- Particle RGB color
    }
},
```

## 5. Adding animation with prop and particles

```lua
{
    Category = "objects", -- Category of animation
    Label = "Make It Rain", -- Label displayed
    SubTitle = "/e makeitrain", -- /e command (not required)
    AnimDict = "anim@mp_player_intupperraining_cash", -- Animation dictionary
    Anim = "idle_a", -- Animation
    props = {
        prop = "prop_anim_cash_pile_01", -- Object name
        propBone = 60309, -- Player ped bone index
        propPlacement = {0.0, 0.0, 0.0, 180.0, 0.0, 70.0} -- coord.x, coord.y, coord.z, rotate.x, rotate.y, rotate.z
    },
    particles = {
        asset = "scr_xs_celebration",
        name = "scr_xs_money_rain", -- Effect name
        placement = {0.0, 0.0, -0.09, -80.0, 0.0, 0.0, 1.0}, -- coord.x, coord.y, coord.z, rotate.x, rotate.y, rotate.z, scale
        rgb = {1.0, 1.0, 1.0} -- Particle RGB color
    }
},
```

## 6. Adding synced animation

```lua
{
    Category = "synced", -- Category of animation
    Label = "Hug", -- Label displayed
    SubTitle = "/e sharedhug", -- /e command (not required)
    Requester = {
        AnimDict = "mp_ped_interaction", -- Animation dictionary
        Anim = "kisses_guy_a", -- Animation
        Flags = 0 -- Flag of animation
    },
    Accepter = {
        AnimDict = "mp_ped_interaction", -- Animation dictionary
        Anim = "kisses_guy_b", -- Animation
        Flags = 0, -- Flag of animation
        Attach = {9816, 0.05, 1.15, -0.05, 0.0, 0.0, 180.0} -- {bone, position_x, position_y, position_z, rotation_x, rotation_y, rotation_z}
    },
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_anims/guides/adding-animations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
